Subject: bug#16184: 24.3.50; edebug and eval-when-compiler don't work together

From: Anders Lindgren <[email-masked]>
Date: Fri, 20 Dec 2013 10:26:19 +0100

Hi!

I just tried this and the error is still there.

On an emacs with bzr revision 115609, I started Emacs with -Q, and ran C-u
C-M-x on the code, and I got the error. I inspected the eval-when-compile
macro and it did have the form suggested by the patch in the bug report you
reported, i.e. "(declare (debug (def-body)) (indent 0))". Just to make sure
I ran C-M-x on it and tried again, but the error is still there...

    -- Anders

On Fri, Dec 20, 2013 at 9:28 AM, Katsumi Yamaoka <[email-masked]> wrote:

> Anders Lindgren wrote:
> > Unfortunately, the problem still seems to be there. I tried this on
> > latest trunk (as of yesterday) with the patch applied and I still get
> > an error when I do C-u C-M-x on the code I originally supplied.
>
> Could you make sure that the edebug spec of the `eval-when-compile'
> macro definition (i.e. in byte-run.el) has been changed into
> `(&rest def-form)'?
> Otherwise please try `C-M-x' on the patched `eval-when-compile' macro.
>